#!/bin/bash

#    This file is part of VASM.
#
#    VASM is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License v3 as published by
#    the Free Software Foundation.
#
#    VASM is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with VASM.  If not, see <http://www.gnu.org/licenses/>.

#    ro-chroot concept by Uelsk8s

__author__="uelsk8s"
# Modified by M0E-lnx

TEST=$1
CURDIR=$(pwd)
TARGETDIR=/vasm
TESTSDIR=${TARGETDIR}/vectorlinux/tests
#echo $CURDIR
#cd ../../../../../
cd ../../
CURDIR=$(pwd)
#echo $CURDIR
mkdir -p /dev/shm/CHROOT-RW /dev/shm/CHROOT
#cp -ar vasm /dev/shm/CHROOT-RW/ || exit 1
mkdir /dev/shm/CHROOT-RW/vasm
cp * -ar /dev/shm/CHROOT-RW/vasm || exit 1
mount -t aufs -o br=/dev/shm/CHROOT-RW=rw:/=ro,xino=/dev/shm/aufs.xino none /dev/shm/CHROOT
mount -t proc none /dev/shm/CHROOT/proc
mount -o bind /dev/ /dev/shm/CHROOT/dev
#ls -la /dev/shm/CHROOT
chroot /dev/shm/CHROOT python ${TESTSDIR}/${TEST}

umount /dev/shm/CHROOT/dev
umount /dev/shm/CHROOT/proc
umount /dev/shm/CHROOT
rm -rf /dev/shm/CHROOT-RW/vasm
